Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Flow_Protocol_Item Class Reference

@brief. More...

`#include <Transport.h>`

Collaboration diagram for TAO_AV_Flow_Protocol_Item:

[legend]
List of all members.

## Public Methods
| TAO_AV_Flow_Protocol_Item (const ACE_CString &name)
| creator method, the Flow_Protocol name can only be set when the object is created. More...
const ACE_CString & | name (void)
| return a reference to the character representation of the Flow_Protocol factories name. More...
TAO_AV_Flow_Protocol_Factory * | factory (void)
| return a pointer to the Flow_Protocol factory. More...
void | factory (TAO_AV_Flow_Protocol_Factory *factory)
| set the factory pointer's valus. More...
## Private Attributes
ACE_CString | name_
| Flow_Protocol factory name. More...
TAO_AV_Flow_Protocol_Factory * | factory_
| pointer to factory object. More...

## Detailed Description

@brief.

## Constructor & Destructor Documentation

TAO_AV_Flow_Protocol_Item::TAO_AV_Flow_Protocol_Item | ( | const ACE_CString & | name | ) |

| creator method, the Flow_Protocol name can only be set when the object is created.

## Member Function Documentation

ACE_INLINE void TAO_AV_Flow_Protocol_Item::factory | ( | TAO_AV_Flow_Protocol_Factory * | factory | ) |

| set the factory pointer's valus.

ACE_INLINE TAO_AV_Flow_Protocol_Factory * TAO_AV_Flow_Protocol_Item::factory | ( | void |  | ) |

| return a pointer to the Flow_Protocol factory.

ACE_INLINE const ACE_CString & TAO_AV_Flow_Protocol_Item::name | ( | void |  | ) |

| return a reference to the character representation of the Flow_Protocol factories name.

## Member Data Documentation

TAO_AV_Flow_Protocol_Factory* TAO_AV_Flow_Protocol_Item::factory_`[private]`

| pointer to factory object.

ACE_CString TAO_AV_Flow_Protocol_Item::name_`[private]`

| Flow_Protocol factory name.

The documentation for this class was generated from the following files:

- Transport.h
- Transport.cpp
- Transport.i